Results 1 to 9 of 9

Thread: Invisible to visible help needed

  1. #1
    Member
    Join Date
    2000-12
    Posts
    14
    Login to Give a bone
    0

    Default Invisible to visible help needed

    OK, I know I've seen someplace in the docs how to make an entity invisible. Can't remember where. Now I've got a drawing with a Paper Space tab which contains 13 Vports, but they have their visibility/invisibility turned to invisible. If I List them, they are tagged as "invisible". This is not a layer on/off or freeze/thaw driven problem. I can select them with the quick select tool, but visibility is not one of the properties which comes up in the Properties dialog or with the Chgprop command. Any (quick, quick, quick!) help appreciated. Rick

  2. #2
    100 Club lance.81922's Avatar
    Join Date
    2005-01
    Location
    Santa Fe, NM
    Posts
    176
    Login to Give a bone
    0

    Default Re: Invisible to visible help needed

    If you're referring to the DXF 60 group (the way MDT makes stuff invisible, for instance), here's a program to make stuff invisible and a second to make it visible again. It shows how the DXF 60 group turns visibility on or off. Are you sure that, in your drawing(s), you don't just have layers frozen in certain viewports? These programs don't help with that, but then it's easy to un-freeze the layers too.
    Code:
    ;;; HIDENTS Program
    ;;; Makes objects invisible (not just by layer)
    ;;; Restore visibility with SHOWENTS
    (defun c:hidents (/ ss sl ent elist)
      (prompt "\nSelect objects to make INVISIBLE:")
      (setq ss (ssget))
      (if (not (null ss))
    	(progn
    	  (setq sl (itoa(sslength ss)))
    	  (if (not (= (sslength ss) 0))
     (progn
       (setq ent (ssname ss 0))
       (while (> (sslength ss) 0)
    	 (ssdel ent ss)
    	 (setq elist (entget ent))
    	 (if (not (null (assoc 60 elist)))
    	   (setq elist (subst (cons 60 1) (assoc 60 elist) elist))
    	   (setq elist (append (list (cons 60 1)) elist))
    	 )
    	 (entmod elist)
    	 (setq ent (ssname ss 0))
       )
       (princ (strcat "\n" sl " object(s) made INVISIBLE. Restore with SHOWENTS."))
     )
    	  )
    	)
      )
      (princ)
    )
    
    (defun c:showents (/ ss sl ent elist)
      (setq ss (ssget "X" '((60 . 1))))
      (if (not (null ss))
    	(if (not (= (sslength ss) 0))
    	  (progn
     (setq ent (ssname ss 0))
     (setq sl (itoa(sslength ss)))
     (while (not (= (sslength ss) 0))
       (ssdel ent ss)
       (setq elist (entget ent))
       (setq elist (subst (cons 60 0) (assoc 60 elist) elist))
       (entmod elist)
       (setq ent (ssname ss 0))
     )
     (princ (strcat "\nVisibility restored to " sl " object(s)."))
    	  )
    	  (princ "\nNo invisible objects found.")
    	)
    	(princ "\nNo invisible objects found.")
      )
      (princ)
    )

  3. #3
    The Silent Type Mike.Perry's Avatar
    Join Date
    2000-11
    Posts
    13,656
    Login to Give a bone
    0

    Default Re: Invisible to visible help needed

    Hi Rick

    Please note I have *moved* this thread from the AutoCAD Tips & Tricks Forum to this one as I feel this particular Forum is a more appropriate place for such a topic.

    Thanks, Mike

    Forum Moderator

  4. #4
    Member
    Join Date
    2000-12
    Posts
    14
    Login to Give a bone
    0

    Default Re: Invisible to visible help needed

    You are correct Mike. Incidentally, I am having a lot of trouble, even now, finding this forum. The only reason I wended my way to the Tips and Tricks was I couldn't find this one. I was mislead, my stupidity of course, by the icon and note that "This forum closed for new posts" I found at the bottom of what I thought was this forum. I was probably in the wrong place at the wrong time with the wrong browser but that's my feeble excuse for going to the Tips and Tricks. Best regards, Rick

  5. #5
    Member
    Join Date
    2000-12
    Posts
    14
    Login to Give a bone
    0

    Default Re: Invisible to visible help needed

    Thanks, Lance. I knew I'd read about the invisibility. Probably when browsing the DXF guide. I appreciate the help. Best regards, Rick

  6. #6
    Wish List Manager BrenBren's Avatar
    Join Date
    2000-11
    Location
    150700
    Posts
    3,439
    Login to Give a bone
    0

    Default Re: Invisible to visible help needed

    Quote Originally Posted by rick
    You are correct Mike. Incidentally, I am having a lot of trouble, even now, finding this forum. The only reason I wended my way to the Tips and Tricks was I couldn't find this one. I was mislead, my stupidity of course, by the icon and note that "This forum closed for new posts" I found at the bottom of what I thought was this forum. I was probably in the wrong place at the wrong time with the wrong browser but that's my feeble excuse for going to the Tips and Tricks. Best regards, Rick
    Just FYI, if you enter the AutoCAD Forums through the AutoCAD Community Page, you should have no problems navigating to the AutoCAD Forum you are looking for (yep, shameless plug for the AutoCAD Community )

  7. #7
    Member
    Join Date
    2000-12
    Posts
    14
    Login to Give a bone
    0

    Default Re: Invisible to visible help needed

    Brenda - Are you on the left or the right in the picture?

  8. #8
    The Silent Type Mike.Perry's Avatar
    Join Date
    2000-11
    Posts
    13,656
    Login to Give a bone
    0

    Default Re: Invisible to visible help needed

    Quote Originally Posted by rick
    You are correct Mike. Incidentally, I am having a lot of trouble, even now, finding this forum. The only reason I wended my way to the Tips and Tricks was I couldn't find this one. I was mislead, my stupidity of course, by the icon and note that "This forum closed for new posts" I found at the bottom of what I thought was this forum. I was probably in the wrong place at the wrong time with the wrong browser but that's my feeble excuse for going to the Tips and Tricks. Best regards, Rick
    Hi Rick

    No worries...

    Have you seen this - Most Frequently Asked Questions - short video clip associated with "Most Frequently Asked Question #2".

    +

    If you would like some general guidance on how to use the forums, please feel free to drop me an E-mail. I will then happily forward you some information that may prove helpful.

    Mike

  9. #9
    100 Club
    Join Date
    2003-07
    Location
    Boston, MA
    Posts
    186
    Login to Give a bone
    0

    Default Re: Invisible to visible help needed

    Is it possible to modify this to work within blocks? Maybe there's a way to say 'pick nested' I'd like to use it on window/door blocks to hide nested muntins or other items.
    thanks


    Quote Originally Posted by lance.81922
    If you're referring to the DXF 60 group (the way MDT makes stuff invisible, for instance), here's a program to make stuff invisible and a second to make it visible again. It shows how the DXF 60 group turns visibility on or off. Are you sure that, in your drawing(s), you don't just have layers frozen in certain viewports? These programs don't help with that, but then it's easy to un-freeze the layers too.
    Code:
    ;;; HIDENTS Program
    ;;; Makes objects invisible (not just by layer)
    ;;; Restore visibility with SHOWENTS
    (defun c:hidents (/ ss sl ent elist)
      (prompt "\nSelect objects to make INVISIBLE:")
      (setq ss (ssget))
      (if (not (null ss))
    	(progn
    	  (setq sl (itoa(sslength ss)))
    	  (if (not (= (sslength ss) 0))
     (progn
       (setq ent (ssname ss 0))
       (while (> (sslength ss) 0)
    	 (ssdel ent ss)
    	 (setq elist (entget ent))
    	 (if (not (null (assoc 60 elist)))
    	   (setq elist (subst (cons 60 1) (assoc 60 elist) elist))
    	   (setq elist (append (list (cons 60 1)) elist))
    	 )
    	 (entmod elist)
    	 (setq ent (ssname ss 0))
       )
       (princ (strcat "\n" sl " object(s) made INVISIBLE. Restore with SHOWENTS."))
     )
    	  )
    	)
      )
      (princ)
    )
    
    (defun c:showents (/ ss sl ent elist)
      (setq ss (ssget "X" '((60 . 1))))
      (if (not (null ss))
    	(if (not (= (sslength ss) 0))
    	  (progn
     (setq ent (ssname ss 0))
     (setq sl (itoa(sslength ss)))
     (while (not (= (sslength ss) 0))
       (ssdel ent ss)
       (setq elist (entget ent))
       (setq elist (subst (cons 60 0) (assoc 60 elist) elist))
       (entmod elist)
       (setq ent (ssname ss 0))
     )
     (princ (strcat "\nVisibility restored to " sl " object(s)."))
    	  )
    	  (princ "\nNo invisible objects found.")
    	)
    	(princ "\nNo invisible objects found.")
      )
      (princ)
    )

Similar Threads

  1. 2013: leaders visible in MS are not visible in PS
    By jham in forum AutoCAD General
    Replies: 3
    Last Post: 2012-12-27, 09:02 PM
  2. invisible visible attributes
    By frans.vermonden100021 in forum Dynamic Blocks - Technical
    Replies: 0
    Last Post: 2012-03-15, 08:22 PM
  3. Glazing visible and invisible in same model
    By L Wood in forum Revit - Rendering
    Replies: 4
    Last Post: 2007-11-28, 07:07 PM
  4. Invisible line shouldn't be invisible
    By WolffG in forum Revit Architecture - Wish List
    Replies: 0
    Last Post: 2003-12-19, 01:23 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •